Package com.google.android.exoplayer2.extractor

## Class BinarySearchSeeker.DefaultSeekTimestampConverter

- java.lang.Object
- - com.google.android.exoplayer2.extractor.BinarySearchSeeker.DefaultSeekTimestampConverter

- All Implemented Interfaces:
    `BinarySearchSeeker.SeekTimestampConverter`
  Enclosing class:
    BinarySearchSeeker

      public static final class BinarySearchSeeker.DefaultSeekTimestampConverter
      extends Object
      implements BinarySearchSeeker.SeekTimestampConverter

  A `BinarySearchSeeker.SeekTimestampConverter` implementation that returns the seek time itself as the timestamp for a seek time position.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultSeekTimestampConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `timeUsToTargetTime​(long timeUs)` | Converts a seek time in microseconds into target timestamp for the `BinarySearchSeeker`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSeekTimestampConverter

          public DefaultSeekTimestampConverter()

  - ### Method Detail

    - #### timeUsToTargetTime

          public long timeUsToTargetTime​(long timeUs)

      Description copied from interface: `BinarySearchSeeker.SeekTimestampConverter`
      Converts a seek time in microseconds into target timestamp for the `BinarySearchSeeker`.
      Specified by:
        `timeUsToTargetTime` in interface `BinarySearchSeeker.SeekTimestampConverter`